/***************************************************************************
 *     copyright            : (C) 2005 by Roman Szymkowiak                 *                                           *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <windows.h>
#include <commdlg.h>
#include <string.h>
#include "mojlabel.h"

void PageDrukuj (HDC pd_hDC)
{
 LOGFONT lf;
 HFONT   hfontPrint1=0;
 HPEN  pioro,pioro4;
 int x,y;
 int s =100;    //szerokosc pola do druku
 int w =100;   // wysokosc pola do druku
 int mg =100;  //margines grny
 int ml = 100; //margines od lewej strony
 int px,py;

   	memset(&lf,0,sizeof(LOGFONT));						
     strcpy(lf.lfFaceName,"Arial");
     lf.lfHeight         = 75 ;
     lf.lfWidth          = 50 ;
     lf.lfCharSet=DEFAULT_CHARSET; 
	 lf.lfQuality=DEFAULT_QUALITY;   // DRAFT_QUALITY, PROOF_QUALITY
							
 hfontPrint1 = CreateFontIndirect (&lf) ;

  if (hfontPrint1 == NULL){MessageBox(0,"Bd - font","Uwaga",MB_OK);}

    SetMapMode (pd_hDC, MM_LOMETRIC) ;   
    SelectObject (pd_hDC, hfontPrint1) ;
    SetTextAlign (pd_hDC, TA_BASELINE | TA_CENTER) ;
    
 pioro = CreatePen(PS_SOLID,1,RGB(0,0,0));  
 pioro4 =  CreatePen(PS_SOLID,4,RGB(0,0,0));
 
 SelectObject (pd_hDC, pioro) ;
                       
 for (y=1 ; y < 10; y++){
  for (x=1 ; x< 10; x++){
    
    px =  (s * (x-1)) + ml;
    py = ((-w) *(y-1)) - mg;
   
   TextOut (pd_hDC, 50 + px, py - 75 , &naplabel[x][y], 1) ;
  }
 }   


 y=1;
  for (x=1 ; x< 11; x++){
    px =  (s * (x-1)) + ml;
    py = ((-w) *(y-1)) - mg;
    
     SelectObject (pd_hDC, pioro) ;
     if ((x-1) % 3 ==0) { SelectObject (pd_hDC, pioro4); } 
    
     MoveToEx (pd_hDC, px, py, NULL) ;
     LineTo   (pd_hDC, px, py - (9 * w)) ;
   }
   
 x=1;  
  for (y=1 ; y < 11; y++){
    px =  (s * (x-1)) + ml;
    py = ((-w) *(y-1)) - mg;
    
     SelectObject (pd_hDC, pioro) ;
     if ((y-1) % 3 ==0) { SelectObject (pd_hDC, pioro4); } 
    
     MoveToEx (pd_hDC, px, py, NULL) ;
     LineTo   (pd_hDC, px  + (9 * s), py) ;
   }
   
   DeleteObject(pioro);
   DeleteObject(pioro4);
   if (hfontPrint1) DeleteObject(hfontPrint1);    

}



